blog/routes/web.php
<?php

use Illuminate\Http\Request;
use App\Mail\ContactMail;
use App\Newsletter;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Artisan;


Route::get('/clear-cache', function() {
    Artisan::call('cache:clear');
    Artisan::call('config:cache');
    return "All cache cleared";
});

Route::get('/', function () {
    return view('welcome');
})->name('welcome');


Route::get('/about', function () {
    return view('about');
});


// Route::get('/teachers', function () {

//     $tutors = DB::table('tutor_profiles')->get();

//     return view('teachers', ['tutors' => $tutors]);
// });

Route::get('/courses', function () {

    $levels = DB::table('levels')
    ->join('curricula', 'curricula.id', '=', 'levels.curriculum_id')
    ->select('levels.*', 'curricula.curriculum as curriculum')
    ->paginate(6);

    return view('courses', ['levels' => $levels]);
});

Route::get('/contact-us', function () {
    return view('contact');
});

Route::post('/contact-us/send', function (Request $request) {
    
     $data = array(
                'name' => strip_tags($request->name),
                'email' => strip_tags($request->email),
                'subject' => strip_tags($request->subject),
                'message' => strip_tags($request->message)
            );
            
    // dd($data['name']);

    Mail::send(new ContactMail($data));
    
    return view('contact');
    //   return redirect()->url('/contact-us');
})->name('contactus');

Route::post('/newsletter/subscribe', function (Request $request) {

    $email = strip_tags($request->news_email);

    $check = Newsletter::where('email', $email)->first();

    if (is_null($check)) {
        $insert = new Newsletter();
        $insert->email =  $email;
        $insert->receive_updates = 1;
        $insert->save();
    }

    $data = [
        'success' => true,
        'message' => 'Your email processed correctly'
    ];
   
    return response()->json($data);
    
})->name('newsletter.subscribe');

Route::get('/terms-and-conditions', function () {
    return view('terms');
})->name('terms');



Route::get('/register', 'Auth\RegisterController@showRegistrationForm')->name('register');
Route::post('register/submit', 'Auth\RegisterController@register')->name('register.submit');
// Route::get('email/verify/{token}', 'Auth\RegisterController@verifyUser')->name('email.verify');


//set route for email verify link
Auth::routes(['verify' => true]);

// Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

/**
 * New
 * 
 */

// superadmin
Route::group(
    [
        'middleware' => ['auth', 'role:superadmin', 'verified'],
    ],
    function () {
        Route::get('superadmin/dashboard', 'SuperadminController@dashboard')->name('superadmins.dashboard');
        Route::get('superadmin/profile', 'SuperadminController@profile')->name('superadmins.profile');
        Route::post('superadmin/profile/update/{id?}', 'SuperadminController@updateProfile')->name('superadmins.profile.update');
        Route::post('superadmin/change-password', 'SuperadminController@changePassword')->name('superadmins.change_password');

        Route::resource('roles', 'RoleController');
        Route::resource('permissions', 'PermissionController');
        Route::resource('superadmins', 'SuperadminController');
        Route::resource('users', 'UserController');
    }
);



//  admin
Route::group(
    [
        'middleware' => ['auth', 'role:admin|superadmin', 'verified'],
        'prefix' => 'admin'
    ],
    function () {

        Route::resource('curricula', 'CurriculumController');
        Route::resource('levels', 'LevelController');

        Route::get('/dashboard', 'AdminController@dashboard')->name('admins.dashboard');
        Route::get('/profile', 'AdminController@profile')->name('admins.profile');
        Route::post('/profile/update/{id}', 'AdminController@updateProfile')->name('admins.profile.update');

        Route::post('/profile/update-public-info', 'AdminController@updateProfilePublicInfo')->name('admins.profile.update_public_info');
        Route::post('/profile/update-private-info', 'AdminController@updateProfilePrivateInfo')->name('admins.profile.update_private_info');
        Route::post('/change-password', 'AdminController@changePassword')->name('admins.change_password');

        /** Create Tutors */
        Route::get('/tutor/index', 'AdminController@tutorIndex')->name('admins.users.tutors.index');
        Route::get('/tutor/show/{id}', 'AdminController@tutorShow')->name('admins.users.tutors.show');
        Route::get('/tutor/create', 'AdminController@tutorCreate')->name('admins.users.tutors.create');
        Route::post('/tutor/store', 'AdminController@tutorStore')->name('admins.users.tutors.store');
        Route::get('/tutor/edit/{id}', 'AdminController@tutorEdit')->name('admins.users.tutors.edit');
        Route::post('/tutor/update/{id}', 'AdminController@tutorUpdate')->name('admins.users.tutors.update');
        Route::delete('/tutor/delete/{id}', 'AdminController@tutorDelete')->name('admins.users.tutors.delete');

        Route::post('/tutor/validation/{id}', 'AdminController@tutorAccountValidation')->name('admins.users.tutors.validation');
        
        Route::get('/tutor/membership/show/{id}', 'AdminController@tutorMembershipShow')->name('admins.users.tutors.membership.show');
        Route::post('/tutor/membership/update/{id}', 'AdminController@tutorMembershipUpdate')->name('admins.users.tutors.membership.update');
        
        Route::post('/tutor/public-info/update/{id}', 'AdminController@tutorUpdateProfilePublicInfo')->name('admins.users.tutors.update_public_info');
        Route::post('/tutor/private-info/update/{id}', 'AdminController@tutorUpdateProfilePrivateInfo')->name('admins.users.tutors.update_private_info');
        Route::post('/tutor/spm-results/update/{id}', 'AdminController@tutorUpdateSpmResults')->name('admins.users.tutors.update_spm_results');
        Route::post('/tutor/spm-certificate/update/{id}', 'AdminController@tutorUpdateSpmQualification')->name('admins.users.tutors.update_spm_certificate');
        Route::post('/tutor/highest-education-results/update/{id}', 'AdminController@tutorUpdateHigherQualification')->name('admins.users.tutors.update_higher_qualification');
        
        
        Route::post('/tutor/class-preference/update-subjects/{id}', 'AdminController@updateTutorSubjects')->name('admins.users.tutors.class_preference.update_subjects');
        Route::post('/tutor/class-preference/update-experience/{id}', 'AdminController@updateTutorExperience')->name('admins.users.tutors.class_preference.update_experience');
        Route::post('/tutor/class-preference/update-areas/{id}', 'AdminController@updateTutorAreas')->name('admins.users.tutors.class_preference.update_areas');
        


        /** Create Students */
        Route::get('/student/index', 'AdminController@studentIndex')->name('admins.users.students.index');
        Route::get('/student/show/{id}', 'AdminController@studentShow')->name('admins.users.students.show');
        Route::get('/student/create', 'AdminController@studentCreate')->name('admins.users.students.create');
        Route::post('/student/store', 'AdminController@studentStore')->name('admins.users.students.store');
        Route::get('/student/edit/{id}', 'AdminController@studentEdit')->name('admins.users.students.edit');
        Route::post('/student/update/{id}', 'AdminController@studentUpdate')->name('admins.users.students.update');
        Route::delete('/student/delete/{id}', 'AdminController@studentDelete')->name('admins.users.students.delete');

        /** Create Admins */
        Route::get('/admin/index', 'AdminController@adminIndex')->name('admins.users.admins.index');
        Route::get('/admin/show/{id}', 'AdminController@adminShow')->name('admins.users.admins.show');
        Route::get('/admin/create', 'AdminController@adminCreate')->name('admins.users.admins.create');
        Route::post('/admin/store', 'AdminController@adminStore')->name('admins.users.admins.store');
        Route::get('/admin/edit/{id}', 'AdminController@adminEdit')->name('admins.users.admins.edit');
        Route::post('/admin/update/{id}', 'AdminController@adminUpdate')->name('admins.users.admins.update');
        Route::delete('/admin/delete/{id}', 'AdminController@adminDelete')->name('admins.users.admins.delete');


        /** Job Management */

        /** Jobs Offers for Admin to approve so that tutors can see the offers */
        Route::get('/jobs/academics/index', 'JobController@academicIndex')->name('jobs.academics.index');
        Route::get('/jobs/academics/show/{id}', 'JobController@academicShow')->name('jobs.academics.show');
        Route::get('/jobs/academics/applications/approval/{id}', 'JobController@showPageJobApproval')->name('jobs.academics.job_approval');
        Route::post('/jobs/academics/applications/approve/{id}', 'JobController@approveJob')->name('jobs.academics.approve_job');
        Route::get('/jobs/academics/applications/approved', 'JobController@jobApproved')->name('jobs.academics.job_approved');
        Route::get('/jobs/academics/applications/rejected', 'JobController@jobRejected')->name('jobs.academics.job_rejected');
        Route::get('/jobs/academics/applications/pending', 'JobController@jobPending')->name('jobs.academics.job_pending');

        /** Non Academic classes - for admin to approve request by students */
        Route::get('/jobs/non-academics/index', 'JobController@nonAcademicIndex')->name('jobs.nonacademics.index');
        Route::get('/jobs/non-academics/show/{id}', 'JobController@nonAcademicShow')->name('jobs.nonacademics.show');
        Route::get('/jobs/non-academics/applications/approval/{id}', 'JobController@showPageNonAcademicJobApproval')->name('jobs.nonacademics.job_approval');

blog/resources/views/curricula/create.blade.php
@extends('layouts.app_login')
<?php
$page = 'curricula-create';
$title = 'Create New Curriculum';
?>
@section('content')

@if (count($errors) > 0)
<div class="alert alert-danger">
    <strong>Whoops!</strong> There were some problems with your input.<br><br>
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div>
@endif

<div class="row justify-content-center">
    <div class="col-8">
        <div class="card">

            <div class="card-body">

                <form method="POST" action="{{ route('curricula.store') }}">
                    @csrf

                    <div class="form-group">
                        <div class="col">
                            <label for="inputSyllabus">Curriculum</label>
                            <input type="text" name="curriculum" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col">
                            <a class="btn btn-primary float-left" href="{{ route('curricula.index') }}"> Cancel</a>
                            <button type="submit" class="btn btn-success float-right">Submit</button>
                        </div>
                    </div>

                </form>

            </div>

        </div>
    </div>
</div>

@endsection

blog/resources/views/curricula/edit.blade.php
@extends('layouts.app_login')
<?php
$page = 'curricula-edit';
$title = 'Edit Curriculum';
?>


@section('content')

<div class="row justify-content-center">
    <div class="col-8">
        <div class="card">

            <div class="card-body">
                {{ Form::model($curriculum, array('route' => array('curricula.update', $curriculum->id), 'method' => 'PUT')) }}
                <div class="form-group">
                    {{ Form::label('name', 'Curriculum Name') }}
                    {{ Form::text('curriculum', $curriculum->curriculum, array('class' => 'form-control')) }}
                </div>

                <br>
                <a class="btn btn-primary float-left" href="{{ route('curricula.index') }}"> Cancel</a>
                {{ Form::submit('Edit', array('class' => 'btn btn-success float-right')) }}
                {{ Form::close() }}
            </div>

        </div>
    </div>
</div>

@endsection

blog/resources/views/curricula/index.blade.php
@extends('layouts.app_login')
<?php
$page = 'curricula-index';
$title = 'Curricula Management';
?>

@section('content')
@if ($message = Session::get('success'))
<div class="alert alert-success alert-dismissible fade show">
    <p>{{ $message }}</p>
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
@endif

@if ($message = Session::get('warning'))
<div class="alert alert-warning alert-dismissible fade show">
    <p>{{ $message }}</p>
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
@endif

<div class="table-responsive">
    <table class="table table-bordered">
        <tr>
            <th>#</th>
            <th>Curriculum</th>
            <th>User</th>
            <th>Last Updated</th>
            <th>Action</th>
        </tr>

        @foreach ($curricula as $curriculum)
        <tr>
            <td>{{ ++$i }}</td>
            <td>{{ $curriculum->curriculum }}</td>
            <td>{{ $curriculum->name }}</td>
            <td>{{ $curriculum->updated_at }}</td>
            <td>
                <a class="btn btn-info" href="{{ route('curricula.show', $curriculum->id) }}">Show</a>
                <a class="btn btn-primary" href="{{ route('curricula.edit', "$curriculum->id") }}">Edit</a>
                {!! Form::open(['method' => 'DELETE','route' => ['curricula.destroy', $curriculum->id],'style'=>'display:inline']) !!}
                {!! Form::submit('Delete', ['class' => 'btn btn-danger']) !!}
                {!! Form::close() !!}
            </td>
        </tr>
        @endforeach

    </table>
</div>

    {!! $curricula->render() !!}

    @endsection

blog/resources/views/curricula/show.blade.php
@extends('layouts.app_login')
<?php
$page = 'curricula-show';
$title = 'Show Curriculum';
?>


@section('content')

<div class="row justify-content-center">
    <div class="col-8">
        <div class="card">

            <div class="card-body">
                <div class="form-group">
                    <label>Curriculum Name</label>
                    <input class="form-control" disabled value="{{$curriculum->curriculum}}">
                </div>
            </div>

            <div class="card-footer">
                <a class="btn btn-primary" href="{{ route('curricula.index') }}"> Back</a>
            </div>

        </div>
    </div>
</div>

@endsection